Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Dmitry Gutov <[email-masked]>
Date: Sun, 25 Jun 2017 18:25:31 +0300

On 6/25/17 5:54 PM, Eli Zaretskii wrote:

> I think I mentioned left-truncation glyphs, so horizontally scrolling
> a line should cause them to appear.

They are shown on all lines at the same time, and

(car (posn-col-row (posn-at-point)))

returns 0 in the first visible column when horizontally scrolled.

IOW, I don't see any problems when horizontally scrolled either.

>> And I think it's aesthetically important that the extra glyphs don't
>> shift line text to the right unless absolutely necessary, so those
>> issues don't materialize.
> 
> That cannot be done in all cases.

No argument here. And there are other known issues with the popup anyway.

My point is, however, is that you've created a new kind of window area 
that can only used by the native line numbers, and no other features or 
packages. This seems not so great to me.